Package org.jfree.report.flow.layoutprocessor

# Class LayoutControllerUtil

java.lang.Object
org.jfree.report.flow.layoutprocessor.LayoutControllerUtil

public class LayoutControllerUtil extends Object
Creation-Date: 24.11.2006, 15:01:22

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EmptyReportData`
`EMPTY_REPORT_DATA`

## Method Summary

Modifier and Type
Method
Description
`static org.jfree.layouting.util.AttributeMap`
`createEmptyMap(String namespace, String tagName)`
`static Object`
`evaluateExpression(FlowController flowController, Object declaringParent, Expression expression)`
`static int`
`findNodeInParent(Section parentSection, Node n)`
`static LayoutExpressionRuntime`
`getExpressionRuntime(FlowController fc, Object node)`
`static StaticExpressionRuntimeData`
`getStaticExpressionRuntime(FlowController fc, Object declaringParent)`
`static boolean`
`isGroupFinished(FlowController fc, Node node)`
Checks, whether the current group should continue.
`static Object`
`performPrecompute(int expressionPosition, PrecomputeNodeKey nodeKey, LayoutController layoutController, FlowController flowController)`
`static org.jfree.layouting.util.AttributeMap`
`processAttributes(Element node, ReportTarget target, ExpressionRuntime runtime)`
`static FlowController`
`processFlowOperations(FlowController fc, FlowControlOperation[] ops)`
`static LayoutController`
`skipInvisibleElement(LayoutController layoutController)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY_REPORT_DATA

public static final EmptyReportData EMPTY_REPORT_DATA

## Method Details

### findNodeInParent

public static int findNodeInParent(Section parentSection, Node n)

### getStaticExpressionRuntime

public static StaticExpressionRuntimeData getStaticExpressionRuntime(FlowController fc, Object declaringParent)

### getExpressionRuntime

public static LayoutExpressionRuntime getExpressionRuntime(FlowController fc, Object node)

### processFlowOperations

public static FlowController processFlowOperations(FlowController fc, FlowControlOperation[] ops) throws DataSourceException

Throws:
  `DataSourceException`

### isGroupFinished

public static boolean isGroupFinished(FlowController fc, Node node) throws DataSourceException
Checks, whether the current group should continue. If there is no group, we assume that we should continue. (This emulates the control-break-algorithm's default behaviour if testing an empty set of arguments.)

Parameters:
  `fc` - the current flow controller holding the data
  `node` - the current node.
Returns:
  true, if the group is finished and we should stop reiterating it, false if the group is not finished and we can start iterating it again.
Throws:
  `DataSourceException`

### processAttributes

public static org.jfree.layouting.util.AttributeMap processAttributes(Element node, ReportTarget target, ExpressionRuntime runtime) throws DataSourceException

Throws:
  `DataSourceException`

### createEmptyMap

public static org.jfree.layouting.util.AttributeMap createEmptyMap(String namespace, String tagName)

### performPrecompute

public static Object performPrecompute(int expressionPosition, PrecomputeNodeKey nodeKey, LayoutController layoutController, FlowController flowController) throws ReportProcessingException, ReportDataFactoryException, DataSourceException

Throws:
  `ReportProcessingException`
  `ReportDataFactoryException`
  `DataSourceException`

### skipInvisibleElement

public static LayoutController skipInvisibleElement(LayoutController layoutController) throws ReportProcessingException, ReportDataFactoryException, DataSourceException

Throws:
  `ReportProcessingException`
  `ReportDataFactoryException`
  `DataSourceException`

### evaluateExpression

public static Object evaluateExpression(FlowController flowController, Object declaringParent, Expression expression) throws DataSourceException

Throws:
  `DataSourceException`